Loading...
Searching...
No Matches
FinSet Class Reference

Represents a set of aerodynamic fins attached to a rocket stage. More...

`#include <FinSet.h>`

## Public Member Functions

| FinSet (const std::string &name, int numberOfFins, double rootChord, double tipChord, double span, double sweepLength, double thickness, double materialDensity)
| Constructs a new FinSet.
| ~FinSet ()=default
| Default destructor.
double | calculateNormalForceCoefficient () const
| Calculates the normal force coefficient contribution of the fin set.
double | calculateCenterOfPressure () const
| Calculates the location of the center of pressure contribution of the fin set.
double | calculateDragArea () const
| Calculates the drag area contribution of the fins.
double | calculateMass () const
| Calculates the total mass of the fin set.
const std::string & | getName () const
| Gets the name of the fin set.

## Private Member Functions

double | calculateSingleFinArea () const
| Helper method to calculate the planform area of a single fin.

## Private Attributes

std::string | name_
| Name of the fin set.
int | numberOfFins_
| Number of fins in the set.
double | rootChord_
| Root chord length [m].
double | tipChord_
| Tip chord length [m].
double | span_
| Span (distance from airframe to tip) [m].
double | sweepLength_
| Sweep length (leading edge sweep) [m].
double | thickness_
| Thickness of fin [m].
double | materialDensity_
| Material density [kg/m3].

## Detailed Description

Represents a set of aerodynamic fins attached to a rocket stage.

The FinSet class models stability contributions, drag effects, and center of pressure location based on fin geometry and number.

## Constructor & Destructor Documentation

## FinSet()

FinSet::FinSet | ( | const std::string & | name,
|  | int | numberOfFins,
|  | double | rootChord,
|  | double | tipChord,
|  | double | span,
|  | double | sweepLength,
|  | double | thickness,
|  | double | materialDensity )

Constructs a new FinSet.

Parameters

  name | Name of the fin set.
  numberOfFins | Number of fins in the set.
  rootChord | Root chord length (meters).
  tipChord | Tip chord length (meters).
  span | Fin span (meters).
  sweepLength | Sweep length of the fin (meters).
  thickness | Fin thickness (meters).
  materialDensity | Density of fin material (kg/m3).

## ~FinSet()

FinSet::~FinSet | ( |  | ) |

default

Default destructor.

## Member Function Documentation

## calculateCenterOfPressure()

double FinSet::calculateCenterOfPressure | ( |  | ) | const

Calculates the location of the center of pressure contribution of the fin set.

Returns
  Distance from leading edge of root chord (meters).

Here is the caller graph for this function:

## calculateDragArea()

double FinSet::calculateDragArea | ( |  | ) | const

Calculates the drag area contribution of the fins.

Returns
  Drag area (Cd x A) in square meters.

Here is the call graph for this function:
Here is the caller graph for this function:

## calculateMass()

double FinSet::calculateMass | ( |  | ) | const

Calculates the total mass of the fin set.

Returns
  Mass in kilograms.

Here is the call graph for this function:
Here is the caller graph for this function:

## calculateNormalForceCoefficient()

double FinSet::calculateNormalForceCoefficient | ( |  | ) | const

Calculates the normal force coefficient contribution of the fin set.

Returns
  Normal force coefficient (Cn).

Here is the call graph for this function:
Here is the caller graph for this function:

## calculateSingleFinArea()

double FinSet::calculateSingleFinArea | ( |  | ) | const

private

Helper method to calculate the planform area of a single fin.

Returns
  Planform area in square meters.

Here is the caller graph for this function:

## getName()

const std::string & FinSet::getName | ( |  | ) | const

Gets the name of the fin set.

Returns
  Fin set name as a constant reference.

Here is the caller graph for this function:

## Member Data Documentation

## materialDensity_

double FinSet::materialDensity_

private

Material density [kg/m3].

## name_

std::string FinSet::name_

private

Name of the fin set.

## numberOfFins_

int FinSet::numberOfFins_

private

Number of fins in the set.

## rootChord_

double FinSet::rootChord_

private

Root chord length [m].

## span_

double FinSet::span_

private

Span (distance from airframe to tip) [m].

## sweepLength_

double FinSet::sweepLength_

private

Sweep length (leading edge sweep) [m].

## thickness_

double FinSet::thickness_

private

Thickness of fin [m].

## tipChord_

double FinSet::tipChord_

private

Tip chord length [m].

The documentation for this class was generated from the following files:

- include/FinSet.h
- src/FinSet.cpp